#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

Summary:	Allow to use fixtures in @pytest.mark.parametrize
Summary(pl.UTF-8):	Możliwość używania wyposażeń w @pytest.mark.parametrize
Name:		python3-pytest-lazy-fixtures
Version:	1.1.4
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-lazy-fixtures/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-lazy-fixtures/pytest_lazy_fixtures-%{version}.tar.gz
# Source0-md5:	9a583fce218ee790aa4eacd15a10ae8f
URL:		https://pypi.org/project/pytest-lazy-fixtures/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-poetry-core
%if %{with tests}
BuildRequires:	python3-pytest >= 7
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Use your fixtures in @pytest.mark.parametrize.

This project was inspired by pytest-lazy-fixture
<https://github.com/TvoroG/pytest-lazy-fixture>.

%description -l pl.UTF-8
Ten moduł pozwala używać wyposażeń w @pytest.mark.parametrize.

Ten projekt był zainspirowany przez pytest-lazy-fixture
<https://github.com/TvoroG/pytest-lazy-fixture>.

%prep
%setup -q -n pytest_lazy_fixtures-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_lazy_fixtures.plugin \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/pytest_lazy_fixtures
%{py3_sitescriptdir}/pytest_lazy_fixtures-%{version}.dist-info
%changelog
* Thu Jul 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-lazy-fixtures.git;a=log;h=master

* Thu Jul 10 2025 Jakub Bogusz <qboosh@pld-linux.org> 177603a
- new

